# XMLWriter::fullEndElement

# xmlwriter_full_end_element

(PHP 5 >= 5.2.0, PHP 7, PECL xmlwriter >= 2.0.4)

XMLWriter::fullEndElement -- xmlwriter_full_end_element — End current element

### Description

Object oriented style

XMLWriter::fullEndElement ( void ) : bool

Procedural style

xmlwriter_full_end_element ( resource `$xmlwriter` ) : bool

End the current xml element. Writes an end tag even if the element is empty.

### Parameters

`xmlwriter`

  Only for procedural calls. The XMLWriter resource that is being modified. This resource comes from a call to xmlwriter_open_uri() or xmlwriter_open_memory().

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- XMLWriter::endElement() - End current element